Employment and source of wealth information. Required on create user.
incomeRangeId, employmentStatus, and sourcesOfWealth are required. Industry is required
when employmentStatus is FullTime, PartTime, or SelfEmployed.
{"docsConfig":{"theme":"maple","$schema":"https://mintlify.com/docs.json","name":"Wealthyhood API Docs","colors":{"primary":"#1666a3","light":"#0782c9","dark":"#0782c9"},"logo":{"light":"https://mintcdn.com/wealthyhood/sgiZXsUdkVvvQOTd/logo/logo-full-dark.svg?fit=max\u0026auto=format\u0026n=sgiZXsUdkVvvQOTd\u0026q=85\u0026s=454f81bf799c98dd9429d640c5912fbe","dark":"https://mintcdn.com/wealthyhood/sgiZXsUdkVvvQOTd/logo/logo-full-light.svg?fit=max\u0026auto=format\u0026n=sgiZXsUdkVvvQOTd\u0026q=85\u0026s=f8a55e5a0bf7446daa002a8678d64fd4"},"favicon":"https://mintcdn.com/wealthyhood/TEkyuGnpEpPNH6Cu/favicon.png?fit=max\u0026auto=format\u0026n=TEkyuGnpEpPNH6Cu\u0026q=85\u0026s=b134138e139b6808bff2325b6fca807a","navbar":{"links":[{"href":"mailto:hello@wealthyhood.com","label":"Support"}]},"footer":{"socials":{"linkedin":"https://www.linkedin.com/company/wealthyhood-invest"}},"contextual":{"options":["copy","view","chatgpt","claude","perplexity","mcp","cursor","vscode"],"display":"header"},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"wealthyhood","hasAudioNarration":false,"actualSubdomain":"wealthyhood","customDomains":["docs.wealthyhood.com"],"gitSource":{"type":"github","owner":"wealthyhood","repo":"app-api","deployBranch":"master","contentDirectory":"docs","isPrivate":true,"mountPath":"","label":""},"entitlements":{},"buildId":"6aeca70f22f813687c157c65","clientVersion":"0.0.4087","searchFilterCounts":[{"language":"default","tag":"API reference","count":76},{"language":"default","tag":"Guides","count":17},{"language":"default","tag":"Investment Orders","count":9},{"language":"default","tag":"Users","count":8},{"language":"default","tag":"Learn","count":7},{"language":"default","tag":"Test","count":6},{"language":"default","tag":"Screens","count":6},{"language":"default","tag":"Investment Products","count":5},{"language":"default","tag":"Portfolios","count":5},{"language":"default","tag":"Flows","count":5}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/users/update-user-employment-info","slug":"/api-reference/users/update-user-employment-info","pageMetadata":{"title":"Update user employment info","description":"Update employment and source-of-wealth information for a user account.","openapi":"PATCH /users/me/employment-info","href":"/api-reference/users/update-user-employment-info"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Update employment and source-of-wealth information for a user account.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Update user employment info","description":"Update employment and source-of-wealth information for a user account.","openapi":"PATCH /users/me/employment-info","href":"/api-reference/users/update-user-employment-info"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"operationId":"updateUserEmploymentInfo","tags":["Users"],"summary":"Update user employment info","description":"Update employment and source-of-wealth information for a user account.","parameters":["b75b72fa-c885-4cff-bbe9-ecdae1fe8232"],"requestBody":"8993fcbe-ff7c-4496-af96-9149b88c5f2a","responses":{"204":"a41b3e1b-0729-4fec-9ac4-556828ff02be","400":"52044af3-34e7-48b1-b5f2-5b590035b4df","401":"815b4e09-b9bc-41ae-95a8-8a664100664f"},"method":"patch","type":"path","servers":["9b43fb88-8925-4b21-bec9-f9e683175397"],"security":["367e0e8f-228c-447d-aec7-485051f4d6b5"],"path":"/users/me/employment-info","baseUrlOptions":["https://{host}"],"title":"Update user employment info","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"b75b72fa-c885-4cff-bbe9-ecdae1fe8232":{"name":"x-user-id","in":"header","required":true,"description":"MongoDB ObjectId of the authenticated user","schema":{"type":"string","pattern":"^[a-f0-9]{24}$","isRequired":true,"description":"MongoDB ObjectId of the authenticated user","uniqueKey":"","typeLabel":"string"},"example":"64f0c51e7fb3fc001234a001"}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","required":["employmentInfo"],"properties":{"employmentInfo":{"type":"object","description":"Employment and source of wealth information. Required on create user.\nincomeRangeId, employmentStatus, and sourcesOfWealth are required. Industry is required\nwhen employmentStatus is FullTime, PartTime, or SelfEmployed.\n","required":["incomeRangeId","employmentStatus","sourcesOfWealth"],"properties":{"incomeRangeId":{"type":"string","description":"ID of the income range (1-10). Valid values and their annual income ranges (in EUR):\n1 = €0 - €10,000 | 2 = €10,001 - €20,000 | 3 = €20,001 - €30,000 | 4 = €30,001 - €50,000 |\n5 = €50,001 - €75,000 | 6 = €75,001 - €100,000 | 7 = €100,001 - €150,000 |\n8 = €150,001 - €250,000 | 9 = €250,001 - €500,000 | 10 = €500,001+\n","example":"5","isRequired":true,"uniqueKey":"employmentInfo.incomeRangeId","typeLabel":"string"},"employmentStatus":{"type":"string","description":"Employment status","enum":["FullTime","PartTime","SelfEmployed","Unemployed","Retired","Student","NotWorkingDueToIllnessOrDisability","CarerOrParent"],"example":"SelfEmployed","isRequired":true,"uniqueKey":"employmentInfo.employmentStatus","typeLabel":"enum\u003cstring>"},"sourcesOfWealth":{"type":"array","description":"At least one source of wealth required","items":{"type":"string","enum":["Salary","Inheritance","Gift","BusinessOwnership","SaleOfProperty","GamblingOrLottery","PersonalSavings","LegalSettlement","SaleOfInvestments","Dividend"],"uniqueKey":"employmentInfo.sourcesOfWealth.items.[INDEX]","typeLabel":"enum\u003cstring>"},"example":["BusinessOwnership"],"isRequired":true,"uniqueKey":"employmentInfo.sourcesOfWealth","typeLabel":"enum\u003cstring>[]"},"industry":{"type":"string","description":"Required when employmentStatus is FullTime, PartTime, or SelfEmployed","enum":["AgricultureForestryAndFishing","ArtsSportAndCreative","ConstructionAndEngineering","CryptoIndustryAndCryptocurrencies","CulturalArtefacts","DatingOrAdultIndustry","Education","EnergyAndWaterSupply","FinanceAndInsurance","GamblingOrIGamingIndustry","GovernmentPublicServiceAndDefence","HealthAndSocialWork","Hospitality","ImportAndExport","InformationAndCommunication","LegalAndRegulatory","Manufacturing","Mining","MoneyTransfer","MotorTrades","PreciousMetals","Property","Retail","ScientificAndTechnical","Tobacco","TransportAndStorage","Wholesale"],"example":"FinanceAndInsurance","uniqueKey":"employmentInfo.industry","typeLabel":"enum\u003cstring>"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"employmentInfo","typeLabel":"object"}},"additionalProperties":false,"uniqueKey":"","typeLabel":"object"},"example":{"employmentInfo":{"incomeRangeId":"5","employmentStatus":"SelfEmployed","sourcesOfWealth":["BusinessOwnership"],"industry":"FinanceAndInsurance"}},"examples":{"Example":{"title":"Example","value":{"employmentInfo":{"incomeRangeId":"5","employmentStatus":"SelfEmployed","sourcesOfWealth":["BusinessOwnership"],"industry":"FinanceAndInsurance"}}}},"exampleType":"examples"}},"exampleType":"examples"},"responses":{"a41b3e1b-0729-4fec-9ac4-556828ff02be":{"description":"Employment info updated successfully","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}},"52044af3-34e7-48b1-b5f2-5b590035b4df":{"description":"Validation failure or business rule violation.","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"integer","description":"HTTP status code","uniqueKey":"status","typeLabel":"integer"},"error":{"type":"object","properties":{"message":{"type":"string","description":"Error message","uniqueKey":"error.message","typeLabel":"string"},"description":{"oneOf":[{"type":"string","description":"Additional error details","uniqueKey":"error.description.oneOf.0","typeLabel":"string"},{"type":"null","description":"Additional error details","uniqueKey":"error.description.oneOf.1","typeLabel":"null"}],"uniqueKey":"error.description","typeLabel":"string | null"}},"uniqueKey":"error","typeLabel":"object"},"responseId":{"type":"string","format":"uuid","description":"Unique identifier for this error response","uniqueKey":"responseId","typeLabel":"string\u003cuuid>"}},"additionalProperties":false,"uniqueKey":"","typeLabel":"object"},"examples":{"invalidEmail":{"title":"invalidEmail","value":{"status":400,"error":{"message":"Invalid email address format"},"responseId":"3f0fd3bf-a2ff-4c0e-9b1d-5d7055dbf6cd"}},"missingFields":{"title":"missingFields","value":{"status":400,"error":{"message":"Missing required fields: firstName, lastName"},"responseId":"3f0fd3bf-a2ff-4c0e-9b1d-5d7055dbf6cd"}},"addressCountryMismatch":{"title":"addressCountryMismatch","value":{"status":400,"error":{"message":"Address countryCode must match residencyCountry"},"responseId":"3f0fd3bf-a2ff-4c0e-9b1d-5d7055dbf6cd"}}},"exampleType":"examples"}},"exampleType":"examples"},"815b4e09-b9bc-41ae-95a8-8a664100664f":{"description":"Missing or invalid bearer token.","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"integer","description":"HTTP status code","uniqueKey":"status","typeLabel":"integer"},"error":{"type":"object","properties":{"message":{"type":"string","description":"Error message","uniqueKey":"error.message","typeLabel":"string"},"description":{"oneOf":[{"type":"string","description":"Additional error details","uniqueKey":"error.description.oneOf.0","typeLabel":"string"},{"type":"null","description":"Additional error details","uniqueKey":"error.description.oneOf.1","typeLabel":"null"}],"uniqueKey":"error.description","typeLabel":"string | null"}},"uniqueKey":"error","typeLabel":"object"},"responseId":{"type":"string","format":"uuid","description":"Unique identifier for this error response","uniqueKey":"responseId","typeLabel":"string\u003cuuid>"}},"additionalProperties":false,"uniqueKey":"","typeLabel":"object"},"example":{"status":401,"error":{"message":"Unauthorized - Invalid or missing authentication token"},"responseId":"145f2b0d-1d5b-4e91-8d0d-7af0ae9ad13a"},"examples":{"Example":{"title":"Example","value":{"status":401,"error":{"message":"Unauthorized - Invalid or missing authentication token"},"responseId":"145f2b0d-1d5b-4e91-8d0d-7af0ae9ad13a"}}},"exampleType":"examples"}},"exampleType":"examples"}},"security":{"367e0e8f-228c-447d-aec7-485051f4d6b5":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Auth0-issued access token that includes the scopes listed for the endpoint.","scopes":[]}}},"servers":{"9b43fb88-8925-4b21-bec9-f9e683175397":{"url":"https://{host}","variables":{"host":{"default":"api.wealthyhood.com","description":"Wealthyhood API host name."}}}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Auth0-issued access token that includes the scopes listed for the endpoint.","scopes":[]},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Auth0-issued access token that includes the scopes listed for the endpoint.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"bearerAuth","name":"Authorization"}],"title":"bearerAuth"}]},"originalFileLocation":"api-reference/users/openapi.yml"},"subdomain":"wealthyhood","siteName":"Wealthyhood API Docs","title":"Update user employment info - Wealthyhood API Docs","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-03-27T11:59:19.398Z","originalFileLocation":"api-reference/users/update-user-employment-info.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Update employment and source-of-wealth information for a user account.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Wealthyhood API Docs\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/wealthyhood/rh13QTfuZBGvmtQN/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/wealthyhood/rh13QTfuZBGvmtQN/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/wealthyhood/rh13QTfuZBGvmtQN/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/wealthyhood/rh13QTfuZBGvmtQN/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/wealthyhood/rh13QTfuZBGvmtQN/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/wealthyhood/rh13QTfuZBGvmtQN/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/wealthyhood/rh13QTfuZBGvmtQN/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/wealthyhood/rh13QTfuZBGvmtQN/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/wealthyhood/rh13QTfuZBGvmtQN/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Update user employment info - Wealthyhood API Docs\">\u003cmeta data-mint-head property=\"og:description\" content=\"Update employment and source-of-wealth information for a user account.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Wealthyhood API Docs\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.wealthyhood.com/api-reference/users/update-user-employment-info\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://wealthyhood.mintlify.site/_mintlify/api/og/v2?division=Users\u0026amp;title=Update+user+employment+info\u0026amp;description=Update+employment+and+source-of-wealth+information+for+a+user+account.\u0026amp;theme=383950b75d0797781d15cac8\u0026amp;signature=2b9bed025f1c9215f04c3b08e6308a16aeaac19ee2cb557895012e04845d46c6\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Update user employment info - Wealthyhood API Docs\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Update employment and source-of-wealth information for a user account.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://wealthyhood.mintlify.site/_mintlify/api/og/v2?division=Users\u0026amp;title=Update+user+employment+info\u0026amp;description=Update+employment+and+source-of-wealth+information+for+a+user+account.\u0026amp;theme=383950b75d0797781d15cac8\u0026amp;signature=2b9bed025f1c9215f04c3b08e6308a16aeaac19ee2cb557895012e04845d46c6\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/wealthyhood/rh13QTfuZBGvmtQN/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Wealthyhood API Docs\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#1666a3\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.wealthyhood.com/api-reference/users/update-user-employment-info\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/users/update-user-employment-info.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.wealthyhood.com/#organization\",\"name\":\"Wealthyhood API Docs\",\"url\":\"https://docs.wealthyhood.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/wealthyhood/sgiZXsUdkVvvQOTd/logo/logo-full-dark.svg?fit=max\u0026auto=format\u0026n=sgiZXsUdkVvvQOTd\u0026q=85\u0026s=454f81bf799c98dd9429d640c5912fbe\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.wealthyhood.com#website\",\"name\":\"Wealthyhood API Docs\",\"url\":\"https://docs.wealthyhood.com\",\"publisher\":{\"@id\":\"https://docs.wealthyhood.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.wealthyhood.com/api-reference/users/update-user-employment-info#webpage\",\"url\":\"https://docs.wealthyhood.com/api-reference/users/update-user-employment-info\",\"name\":\"Update user employment info\",\"description\":\"Update employment and source-of-wealth information for a user account.\",\"dateModified\":\"2026-03-27T11:59:19.398Z\",\"isPartOf\":{\"@id\":\"https://docs.wealthyhood.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.wealthyhood.com/api-reference/users/update-user-employment-info#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.wealthyhood.com/api-reference/users/update-user-employment-info#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Users\",\"item\":\"https://docs.wealthyhood.com/api-reference/users/create-user\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Update user employment info\",\"item\":\"https://docs.wealthyhood.com/api-reference/users/update-user-employment-info\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.wealthyhood.com/api-reference/users/update-user-employment-info#apireference\",\"headline\":\"Update user employment info\",\"name\":\"Update user employment info\",\"description\":\"Update employment and source-of-wealth information for a user account.\",\"url\":\"https://docs.wealthyhood.com/api-reference/users/update-user-employment-info\",\"mainEntityOfPage\":{\"@id\":\"https://docs.wealthyhood.com/api-reference/users/update-user-employment-info#webpage\"},\"dateModified\":\"2026-03-27T11:59:19.398Z\",\"publisher\":{\"@id\":\"https://docs.wealthyhood.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.wealthyhood.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Wealthyhood API Docs\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Wealthyhood API Docs","nav":{"global":null,"tabs":[{"tab":"Guides","pages":[{"title":"Guides","href":""}]},{"tab":"Data Platform","pages":[{"title":"Data Platform","href":"/data-exports/data-export"}]},{"tab":"API reference","groups":[{"group":"API documentation","pages":[{"title":"Introduction","href":"/api-reference/introduction"}]},{"group":"Authentication","pages":[{"openapi":"post /oauth/token","title":"Get access token","href":"/api-reference/auth/get-token"}]},{"group":"Automations","pages":[{"title":"Create automation","openapi":"POST /automations","href":"/api-reference/automations/create-automation"},{"title":"Get all automations","openapi":"GET /automations","href":"/api-reference/automations/get-automations"},{"title":"Cancel automation","openapi":"POST /automations/{id}/cancel","href":"/api-reference/automations/cancel-automation"}]},{"group":"Universe Configuration","pages":[{"title":"Get universe configuration","openapi":"GET /b2b/app-config","href":"/api-reference/universe-config/get-universe-config"}]},{"group":"Users","pages":[{"title":"Create user","openapi":"POST /users","href":"/api-reference/users/create-user"},{"title":"Get current user","openapi":"GET /users/me","href":"/api-reference/users/get-user"},{"title":"Update user email","openapi":"PATCH /users/me/email","href":"/api-reference/users/update-user-email"},{"title":"Update user address","openapi":"PATCH /users/me/address","href":"/api-reference/users/update-user-address"},{"title":"Update user tax residency","description":"Update the tax residency information for a user account.","openapi":"PATCH /users/me/tax-residency","href":"/api-reference/users/update-user-tax-residency"},{"title":"Update user employment info","openapi":"PATCH /users/me/employment-info","href":"/api-reference/users/update-user-employment-info"},{"title":"Update user language","description":"Update the language preference for a user account.","openapi":"PATCH /users/language","href":"/api-reference/users/update-user-language"},{"title":"Generate account statement","openapi":"POST /users/me/account-statements/generate","href":"/api-reference/users/generate-account-statement"}]},{"group":"Cash","pages":[{"title":"Get user cash balance","openapi":"GET /cash","href":"/api-reference/cash/get-cash"}]},{"group":"Savings Vault","pages":[{"title":"Get user savings vault balance","openapi":"GET /savings-vault","href":"/api-reference/savings-vault/get-savings-vault"}]},{"group":"Bank Accounts","pages":[{"title":"Create bank account","openapi":"POST /bank-accounts","href":"/api-reference/bank-accounts/create-bank-account"},{"title":"List bank accounts","openapi":"GET /bank-accounts","href":"/api-reference/bank-accounts/get-bank-accounts"},{"title":"Get bank account by ID","openapi":"GET /bank-accounts/{bankAccountId}","href":"/api-reference/bank-accounts/get-bank-account-by-id"}]},{"group":"Account Closures","pages":[{"title":"Create account closure","openapi":"POST /account-closures","href":"/api-reference/account-closures/create-account-closure"},{"title":"Get account closure by ID","openapi":"GET /account-closures/{accountClosureId}","href":"/api-reference/account-closures/get-account-closure-by-id"}]},{"group":"Deposits","pages":[{"title":"Create deposit expectation","openapi":"POST /deposits/expectations","href":"/api-reference/deposits/create-deposit"},{"title":"Get all deposits","openapi":"GET /deposits","href":"/api-reference/deposits/get-deposits"},{"title":"Get deposit by ID","openapi":"GET /deposits/{depositId}","href":"/api-reference/deposits/get-deposit-by-id"}]},{"group":"Withdrawals","pages":[{"title":"Create withdrawal","openapi":"POST /withdrawals","href":"/api-reference/withdrawals/create-withdrawal"},{"title":"Get all withdrawals","openapi":"GET /withdrawals","href":"/api-reference/withdrawals/get-withdrawals"},{"title":"Get withdrawal by ID","openapi":"GET /withdrawals/{withdrawalId}","href":"/api-reference/withdrawals/get-withdrawal-by-id"}]},{"group":"Portfolios","pages":[{"title":"Get user portfolios","openapi":"GET /portfolios","href":"/api-reference/portfolio/get-user-portfolios"},{"title":"Get portfolio holdings","openapi":"GET /portfolios/{id}","href":"/api-reference/portfolio/get-holdings"},{"title":"Get portfolio prices by tenor","openapi":"GET /portfolios/{id}/prices-by-tenor","href":"/api-reference/portfolio/prices-by-tenor"},{"title":"Get portfolio with returns by tenor","openapi":"GET /portfolios/{id}/with-returns-by-tenor","href":"/api-reference/portfolio/get-with-returns-by-tenor"},{"title":"Update my portfolio allocation","openapi":"POST /portfolios/me/allocation","href":"/api-reference/portfolio/post-me-allocation"}]},{"group":"Insights","pages":[{"title":"Past performance (template allocation)","openapi":"GET /insights/past-performance","href":"/api-reference/insights/past-performance"},{"title":"Future performance (template allocation)","openapi":"GET /insights/future-performance","href":"/api-reference/insights/future-performance"},{"title":"Future performance Monte Carlo","openapi":"GET /insights/future-performance-monte-carlo","href":"/api-reference/insights/future-performance-monte-carlo"}]},{"group":"Daily Summaries","pages":[{"title":"Get daily summaries","openapi":"GET /daily-summaries","href":"/api-reference/daily-summaries/get-daily-summaries"}]},{"group":"Investment Products","pages":[{"title":"Get all investment products","openapi":"GET /investment-products","href":"/api-reference/investment-products/investment-products"},{"title":"Get investment product fundamentals","openapi":"GET /investment-products/{isin}/fundamentals","href":"/api-reference/investment-products/investment-product-by-isin"},{"title":"Get price history","openapi":"GET /investment-products/{isin}/price-history","href":"/api-reference/investment-products/price-history"},{"title":"Get user investment details","openapi":"GET /investment-products/{isin}/investment-details","href":"/api-reference/investment-products/investment-product-investment-details"},{"title":"Get recent asset activity","openapi":"GET /investment-products/{isin}/recent-activity","href":"/api-reference/investment-products/investment-product-recent-activity"}]},{"group":"Investment Orders","pages":[{"title":"Preview portfolio buy","openapi":"POST /investments/portfolio/preview","href":"/api-reference/investments/portfolio-preview"},{"title":"Execute portfolio buy order","openapi":"POST /investments/portfolio/orders","href":"/api-reference/investments/portfolio-order"},{"title":"Cancel portfolio transaction","openapi":"POST /investments/transactions/{id}/cancel","href":"/api-reference/investments/cancel-transaction"},{"title":"Preview asset buy or sell","openapi":"POST /investments/asset/preview","href":"/api-reference/investments/asset-preview"},{"title":"Submit order","openapi":"POST /investments/orders","href":"/api-reference/order-execution/submit-order"},{"title":"Get all orders","openapi":"GET /investments/orders","href":"/api-reference/order-execution/get-orders"},{"title":"Get order by ID","openapi":"GET /investments/orders/{id}","href":"/api-reference/order-execution/get-order-by-id"},{"title":"Cancel order","openapi":"POST /investments/orders/{id}/cancel","href":"/api-reference/order-execution/cancel-order"},{"title":"Generate trade confirmation","openapi":"POST /investments/orders/{id}/trade-confirmations/generate","href":"/api-reference/order-execution/generate-trade-confirmation"}]},{"group":"Savings Orders","pages":[{"title":"Submit savings order","openapi":"POST /savings/orders","href":"/api-reference/savings-orders/submit-savings-order"},{"title":"Get savings order by ID","openapi":"GET /savings/orders/{id}","href":"/api-reference/savings-orders/get-savings-order-by-id"},{"title":"Generate trade confirmation","openapi":"POST /savings/orders/{id}/trade-confirmations/generate","href":"/api-reference/savings-orders/generate-trade-confirmation"}]},{"group":"Savings Details","pages":[{"title":"Get savings product details","openapi":"GET /savings/details","href":"/api-reference/savings-details/get-savings-details"}]},{"group":"Automations","pages":[{"title":"Create automation","openapi":"POST /automations","href":"/api-reference/automations/create-automation"},{"title":"Get all automations","openapi":"GET /automations","href":"/api-reference/automations/get-automations"},{"title":"Cancel automation","openapi":"POST /automations/{id}/cancel","href":"/api-reference/automations/cancel-automation"}]},{"group":"Learn","pages":[{"title":"Get all analyst insights","openapi":"GET /learn/analyst-insights","href":"/api-reference/learn/analyst-insights"},{"title":"Get analyst insight by ID","openapi":"GET /learn/analyst-insights/{id}","href":"/api-reference/learn/analyst-insight-by-id"},{"title":"Get all learning guides","openapi":"GET /learn/learning-guides","href":"/api-reference/learn/learning-guides"},{"title":"Get learning guide by ID","openapi":"GET /learn/learning-guides/{id}","href":"/api-reference/learn/learning-guide-by-id"},{"title":"Get all news articles","openapi":"GET /learn/news","href":"/api-reference/learn/news"},{"title":"Get news article by ID","openapi":"GET /learn/news/{id}","href":"/api-reference/learn/news-by-id"},{"title":"Get all glossary entries","openapi":"GET /learn/glossary","href":"/api-reference/learn/glossary"}]},{"group":"Notification Settings","pages":[{"title":"Get notification settings","openapi":"GET /b2b/notification-settings","href":"/api-reference/notification-settings/get-notification-settings"},{"title":"Update notification setting","openapi":"PATCH /b2b/notification-settings/{settingId}","href":"/api-reference/notification-settings/update-notification-setting"}]},{"group":"Price Alerts","pages":[{"title":"Create price alert","openapi":"POST /b2b/price-alerts","href":"/api-reference/price-alerts/create-price-alert"},{"title":"List price alerts","openapi":"GET /b2b/price-alerts","href":"/api-reference/price-alerts/list-price-alerts"},{"title":"Cancel price alert","openapi":"POST /b2b/price-alerts/{id}/cancel","href":"/api-reference/price-alerts/cancel-price-alert"}]},{"group":"Transactions","pages":[{"title":"Get investment activity","openapi":"GET /transactions/investment-activity","href":"/api-reference/transactions/get-investment-activity"},{"title":"Get cash activity","openapi":"GET /transactions/cash-activity","href":"/api-reference/transactions/get-cash-activity"},{"title":"Get savings activity","openapi":"GET /transactions/savings-activity","href":"/api-reference/transactions/get-savings-activity"},{"title":"Get pending cashflow activity","openapi":"GET /transactions/pending-cashflow-activity","href":"/api-reference/transactions/get-pending-cashflow-activity"}]},{"group":"Test","pages":[{"title":"Create test user","openapi":"POST /test/users","href":"/api-reference/test/create-user"},{"title":"Delete test user","openapi":"DELETE /test/users","href":"/api-reference/test/delete-user"},{"title":"Get available statuses","openapi":"GET /test/help/statuses","href":"/api-reference/test/get-available-statuses"},{"title":"Create test deposit","openapi":"POST /test/deposits","href":"/api-reference/test/create-deposit"},{"title":"Send test app notifications","openapi":"POST /test/notifications","href":"/api-reference/test/send-notifications"},{"title":"Send test email notifications (NBG)","openapi":"POST /test/email-notifications","href":"/api-reference/test/send-email-notifications"}]}]}]},"basePath":"","title":"Update user employment info - Wealthyhood API Docs","buildId":"dpl_FWZhTb2vab28gFGFH4ojka6qEznQ","deploymentId":"dpl_FWZhTb2vab28gFGFH4ojka6qEznQ","dynamics":["c2aa737661","b0f84f53ff","a9bb46feb3","2b790eda92"],"chunks":["OpenApiReferenceProvider-CBsVopKK.js","utils-DZAk68jJ.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-D32AYZrP.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-D_A5_cny.js","snippetPresets-xNRfS9th.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","conditional-requirements-CFM0id0Q.js","Page-Dr40SSJq.js","ApiExamples-BIB25-tq.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-CydJ4w4j.js","shallow-CYPBeQSG.js","getApiPlaygroundDisplay-A5xJVBOu.js","CodeSnippet-BVRTgi3m.js","CodeSnippets-DjD6BSlt.js","getPastedJson-D4V4JyrR.js","icon-uhcnG22T.js","MethodPill-CM-ZQdGH.js","DuplicateIcon-B_WnOiNf.js","createIcon-CJsb8utt.js","DynamicMarkdown-D-2HDKEp.js","SectionHeading-KP5xmMgQ.js","axios-vUo_bRtp.js","Markdown-D_k0dg6k.js","clsx-DK3K4Z1S.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-DE3EVdvd.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-fN9H9n9g.js"]}